#
# spec file for package perl-CGI-FastTemplate
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name CGI-FastTemplate
Name:           perl-CGI-FastTemplate
Version:        1.90.0
Release:        1.1
# 1.09 -> normalize -> 1.90.0
%define cpan_version 1.09
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Perl extension for managing templates, and performing variable interpolation
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/J/JM/JMOORE/%{cpan_name}-%{cpan_version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
Provides:       perl(CGI::FastTemplate) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
Perl extension for managing templates, and performing variable interpolation.

%prep
%autosetup -n %{cpan_name}-%{cpan_version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc README

%changelog
* Thu Jun 12 2025 Tina Müller <tina.mueller@suse.com>
- Normalize CPAN version
  See https://github.com/openSUSE/cpanspec/issues/47 for details
* Sun Oct  7 2018 Dirk Stoecker <opensuse@dstoecker.de>
- Update URL
* Tue Dec  6 2011 coolo@suse.com
- fix perl license
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Apr 21 2010 chris@computersalat.de
- cleanup spec
  o removed Provides {cpan_name}
- noarch package
  o removed .packlist file
  o removed perllocal.pod file
* Fri Feb 26 2010 chris@computersalat.de
- initial package 1.09
